Name:    ipod-sharp
Version: 0.8.1
Release: 5%{?dist}
Summary: Support for high level features of Apple's iPod

Group:   Development/Libraries
License: LGPLv2+
URL:     http://banshee-project.org/Subprojects/Ipod-sharp
Source0: http://banshee-project.org/files/ipod-sharp/%{name}-%{version}.tar.bz2
Patch0:  ipod-sharp-0.8.0-libdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# We only have mono on these arches:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 armv4l sparc alpha

BuildRequires: podsleuth-devel
BuildRequires: mono-devel
BuildRequires: gtk-sharp2-devel
BuildRequires: libipoddevice-devel
BuildRequires: ndesk-dbus-glib-devel

%description
ipod-sharp provies support for high level features of Apple's iPod,
like support for audio content, including reading and writing of the
iTunes/iPod database, and syncing music.

%package devel
Summary: Development files for ipod-sharp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release} 
Requires: pkgconfig

%description devel
Development files for ipod-sharp

%prep
%setup -q
%patch0 -p1 -b .libdir

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure --disable-docs
# Breaks with smp make flag
make

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=${RPM_BUILD_ROOT} \
             GACUTIL_FLAGS="/package %{name} /gacdir %{_libdir} /root ${RPM_BUILD_ROOT}%{_libdir}"

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/ipod-sharp/

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*


%changelog
* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.8.1-5
- Rebuild to pick up ppc64 builds

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 14 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.8.1-3
- Don't claim ownership of %%_libdir/pkgconfig/ (#499658)

* Mon May 25 2009 xavier Lamien <laxathom@fedoraproject.org> - 0.8.1-3
- Build arch ppc64.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 12 2008 David Nielsen <gnomeuser@gmail.com> - 0.8.1-1
- bump to 0.8.1

* Tue May 27 2008 Nigel Jones <dev@nigelj.com> 0.8.0-5
- Rebuild for new gtk-sharp2

* Wed Feb 20 2008 David Nielsen <david@lovesunix.net> 0.8.0-4
- and let's correct that BR on ndesk-dbus-glib

* Wed Feb 20 2008 David Nielsen <david@lovesunix.net> 0.8.0-3
- Add libipoddevice and ndesk-dbus to build dependencies
- Update libdir patch
- make singlethreaded to avoid build error
- split out development files

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.0-2
- Autorebuild for GCC 4.3

* Sun Feb 10 2008 Christopher Aillon <caillon@redhat.com> 0.8.0-1
- Update to 0.8.0

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.6.3-3
- Rebuild for build ID

* Mon Aug 13 2007 Christopher Aillon <caillon@redhat.com> 0.6.3-2
- Update the license tag

* Tue Apr  3 2007 Christopher Aillon <caillon@redhat.com> 0.6.3-1
- Update to 0.6.3

* Thu Dec 14 2006 Christopher Aillon <caillon@redhat.com> 0.6.2-2
- Update monodir patch

* Tue Dec 12 2006 Christopher Aillon <caillon@redhat.com> 0.6.2-1
- Update to 0.6.2

* Mon Aug 28 2006 Christopher Aillon <caillon@redhat.com> 0.5.15-3
- Rebuild against newer mono stack

* Fri Mar  3 2006 Christopher Aillon <caillon@redhat.com> 0.5.15-2
- Build on 64bit platforms

* Tue Feb 21 2006 Christopher Aillon <caillon@redhat.com> 0.5.15-1
- Initial RPM
